Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.japisoft.dtdparser
Interface XMLGenerator

All Known Implementing Classes:
  RootDTDNode

public interface XMLGenerator

Interface for generating XML document from the DTD

Version:
  1.0
Author:
  (c) 2002-2003 JAPISOFT
See Also:
  `RootDTDNode`

Field Summary
`static java.lang.String` | `ENCODING_EUC_JP`
`static java.lang.String` | `ENCODING_ISO_10646_UCS_2`
`static java.lang.String` | `ENCODING_ISO_10646_UCS_4`
`static java.lang.String` | `ENCODING_ISO_2022_JP`
`static java.lang.String` | `ENCODING_ISO_8859_1`
`static java.lang.String` | `ENCODING_ISO_8859_2`
`static java.lang.String` | `ENCODING_ISO_8859_3`
`static java.lang.String` | `ENCODING_ISO_8859_4`
`static java.lang.String` | `ENCODING_ISO_8859_5`
`static java.lang.String` | `ENCODING_ISO_8859_6`
`static java.lang.String` | `ENCODING_ISO_8859_7`
`static java.lang.String` | `ENCODING_ISO_8859_8`
`static java.lang.String` | `ENCODING_ISO_8859_9`
`static java.lang.String` | `ENCODING_Shift_JIS`
`static java.lang.String` | `ENCODING_UTF_16`
`static java.lang.String` | `ENCODING_UTF_8`

Method Summary
`void` | `writeDocument(java.io.PrintWriter output, java.lang.String root, java.lang.String dtdURI)` Generate a minimal valid XML document.
`void` | `writeDocument(java.io.PrintWriter output, java.lang.String encoding, java.lang.String root, java.lang.String dtdURI)` Generate a minimal valid XML document.

Field Detail

### ENCODING_UTF_8

    public static final java.lang.String ENCODING_UTF_8

See Also:
  Constant Field Values

### ENCODING_UTF_16

    public static final java.lang.String ENCODING_UTF_16

See Also:
  Constant Field Values

### ENCODING_ISO_10646_UCS_2

    public static final java.lang.String ENCODING_ISO_10646_UCS_2

See Also:
  Constant Field Values

### ENCODING_ISO_10646_UCS_4

    public static final java.lang.String ENCODING_ISO_10646_UCS_4

See Also:
  Constant Field Values

### ENCODING_ISO_8859_1

    public static final java.lang.String ENCODING_ISO_8859_1

See Also:
  Constant Field Values

### ENCODING_ISO_8859_2

    public static final java.lang.String ENCODING_ISO_8859_2

See Also:
  Constant Field Values

### ENCODING_ISO_8859_3

    public static final java.lang.String ENCODING_ISO_8859_3

See Also:
  Constant Field Values

### ENCODING_ISO_8859_4

    public static final java.lang.String ENCODING_ISO_8859_4

See Also:
  Constant Field Values

### ENCODING_ISO_8859_5

    public static final java.lang.String ENCODING_ISO_8859_5

See Also:
  Constant Field Values

### ENCODING_ISO_8859_6

    public static final java.lang.String ENCODING_ISO_8859_6

See Also:
  Constant Field Values

### ENCODING_ISO_8859_7

    public static final java.lang.String ENCODING_ISO_8859_7

See Also:
  Constant Field Values

### ENCODING_ISO_8859_8

    public static final java.lang.String ENCODING_ISO_8859_8

See Also:
  Constant Field Values

### ENCODING_ISO_8859_9

    public static final java.lang.String ENCODING_ISO_8859_9

See Also:
  Constant Field Values

### ENCODING_ISO_2022_JP

    public static final java.lang.String ENCODING_ISO_2022_JP

See Also:
  Constant Field Values

### ENCODING_Shift_JIS

    public static final java.lang.String ENCODING_Shift_JIS

See Also:
  Constant Field Values

### ENCODING_EUC_JP

    public static final java.lang.String ENCODING_EUC_JP

See Also:
  Constant Field Values

Method Detail

### writeDocument

    public void writeDocument(java.io.PrintWriter output,
                              java.lang.String encoding,
                              java.lang.String root,
                              java.lang.String dtdURI)
                       throws java.io.IOException

  Generate a minimal valid XML document. You may insert an encoding using the `ENCODING_...` constants

  Parameters:
    `output` - final document target
    `encoding` - use `ENCODING..`constants``
    `root` - the root node for the generation
    `dtdURI` - dtd location
    `java.io.IOException`

### writeDocument

    public void writeDocument(java.io.PrintWriter output,
                              java.lang.String root,
                              java.lang.String dtdURI)
                       throws java.io.IOException

  Generate a minimal valid XML document.

  Parameters:
    `output` - final document target
    `root` - the root node for the generation
    `dtdURI` - dtd location
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD